using HarmonyLib;

namespace BlacksmithMaster {
    [HarmonyPatch]
    public class Patches {
        [HarmonyPrefix]
        [HarmonyPatch(typeof(ManLicenses), "AddXP")]
        static void XpMulti(FactionSubTypes corporation, ref int xp, bool showUI = true) {
            xp = (int)(xp * Main.xpMultiplier.Value);
        }

        [HarmonyPrefix]
        [HarmonyPatch(typeof(ManPlayer), "AddMoney")]
        static void MoneyMulti(ref int amount) {
            amount = (int)(amount * Main.moneyMultiplier.Value);
        }

        [HarmonyPrefix]
        [HarmonyPatch(typeof(TechHolders), "SetHeartbeatInterval")]
        static void HeartbeatMulti(ref float interval) {
            interval *= Main.heartbeatIntervalMultiplier.Value;
        }
    }
}
